commits
Thread
Date
Earlier messages
Later messages
Messages by Date
2026/10/28
Re: [PR] fix(spark): skip partition stats pruning for time travel queries [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark)!: forward session settings to streaming sinks [hudi]
via GitHub
2026/10/28
Re: [I] [RFC-112] Forward flow-scoped Spark Hudi settings to the streaming sink [hudi]
via GitHub
2026/10/28
Re: [PR] docs(spark): explain streaming session option compatibility [hudi]
via GitHub
2026/10/28
(hudi) branch asf-site updated: docs(spark): explain streaming session option compatibility (#20454)
sivabalan
2026/10/28
Re: [PR] test(spark): add Spark Connect SDP integration harness and CI coverage [hudi]
via GitHub
2026/10/28
(hudi) branch master updated (d1ec4d3b043d -> ec36124f5e54)
sivabalan
2026/10/28
Re: [PR] fix(spark): fail streaming queries instead of exiting the JVM [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark)!: forward session settings to streaming sinks [hudi]
via GitHub
2026/10/28
Re: [PR] fix(hfile): count checksum chunks over header + data [hudi-rs]
via GitHub
2026/10/28
Re: [PR] docs(spark): explain streaming session option compatibility [hudi]
via GitHub
2026/10/28
Re: [PR] Adding hudi-cli-mcp to assist AI assistants to help and manage hudi tables [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): fail streaming queries instead of exiting the JVM [hudi]
via GitHub
2026/10/28
[I] Metadata table listing drops file groups that have only log files [hudi-rs]
via GitHub
2026/10/28
[PR] fix(spark): reject collation-changing casts in data skipping [hudi]
via GitHub
2026/10/28
[I] [BUG] Spark data skipping: integral overflow in Add, Multiply and ShiftLeft prunes files with matching rows [hudi]
via GitHub
2026/10/28
Re: [PR] refactor(ffi): rename hudi-jvm-ffi to hudi-ffi [hudi-rs]
via GitHub
2026/10/28
Re: [I] Handle file group building for log file only case [hudi-rs]
via GitHub
2026/10/28
Re: [I] Handle file group building for log file only case [hudi-rs]
via GitHub
2026/10/28
Re: [PR] fix(python): run the DataFusion FFI provider on the binding's tokio runtime [hudi-rs]
via GitHub
2026/10/28
Re: [I] Reading a Lance table through the Python DataFusion extra aborts the process [hudi-rs]
via GitHub
2026/10/28
(hudi-rs) branch main updated: fix(python): run the DataFusion FFI provider on the binding's tokio runtime (#829)
yihua
2026/10/28
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/28
Re: [PR] feat(core): native table write support with spark storage parity [hudi-rs]
via GitHub
2026/10/28
Re: [PR] feat(core): native table write support with spark storage parity [hudi-rs]
via GitHub
2026/10/28
Re: [PR] feat(core): native table write support with spark storage parity [hudi-rs]
via GitHub
2026/10/28
(hudi-rs) branch main updated: build(ffi): forward the spill-rocksdb feature through hudi-ffi (#849)
yihua
2026/10/28
Re: [PR] build(ffi): forward the spill-rocksdb feature through hudi-ffi [hudi-rs]
via GitHub
2026/10/28
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/28
Re: [PR] test(schema): Add lance fileformat test for custom types on MOR [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): reject negative factors in data skipping multiply/divide [hudi]
via GitHub
2026/10/28
Re: [PR] fix(hfile): count checksum chunks over header + data [hudi-rs]
via GitHub
2026/10/28
Re: [PR] feat(spark): read Hudi file slices natively through hudi-rs in the Comet bundle [hudi]
via GitHub
2026/10/28
Re: [PR] feat(spark): read Hudi file slices natively through hudi-rs in the Comet bundle [hudi]
via GitHub
2026/10/28
Re: [PR] fix(core): treat missing column-stat bounds as unknown when merging [hudi-rs]
via GitHub
2026/10/28
Re: [PR] fix(core): replace deprecated ParquetObjectReader with AsyncFileReader [hudi-rs]
via GitHub
2026/10/28
Re: [PR] fix(common): normalize hudi table base path in StorageBasedLockProvider [hudi]
via GitHub
2026/10/28
(hudi-rs) branch main updated: refactor(ffi): rename hudi-jvm-ffi to hudi-ffi (#847)
yihua
2026/10/28
Re: [PR] fix(spark): reject negative factors in data skipping multiply/divide [hudi]
via GitHub
2026/10/28
[PR] fix(spark): reject negative factors in data skipping multiply/divide [hudi]
via GitHub
2026/10/28
Re: [PR] test(spark): codify MDT col_stats behavior on ADD COLUMN schema evolution [hudi]
via GitHub
2026/10/28
[PR] docs(rfc): RFC-116 Support Branches and Tags [hudi]
via GitHub
2026/10/28
Re: [I] [RFC-112] Support Hudi sources and targets in Spark Declarative Pipelines [hudi]
via GitHub
2026/10/28
Re: [PR] feat(dsv2): [RFC-98] DSv2 read for COW [hudi]
via GitHub
2026/10/28
Re: [PR] feat(gateway): add Spark Thrift Server as a selectable lakehouse engine [hudi]
via GitHub
2026/10/28
[PR] fix(core): replace deprecated ParquetObjectReader with AsyncFileReader [hudi-rs]
via GitHub
2026/10/28
Re: [PR] feat(dsv2): [RFC-98] DSv2 read for COW [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): runtime-merge full file groups for MOR incremental queries (#18943) [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): reject order-breaking casts and negative factors in data ... [hudi]
via GitHub
2026/10/28
Re: [PR] test(spark): codify MDT col_stats behavior on ADD COLUMN schema evolution [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): skip partition stats pruning for time travel queries [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): reject order-breaking casts and negative factors in data ... [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): skip partition stats pruning for time travel queries [hudi]
via GitHub
2026/10/28
Re: [PR] test(schema): Add lance fileformat test for custom types on MOR [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): reject collation-changing casts in data skipping [hudi]
via GitHub
2026/10/28
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/28
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/28
Re: [I] [SUPPORT]File does not exist [hudi]
via GitHub
2026/10/28
Re: [PR] feat(core): add support for in and not in file pruning [hudi-rs]
via GitHub
2026/10/28
Re: [I] [SUPPORT]File does not exist [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): reject order-breaking casts and negative factors in data ... [hudi]
via GitHub
2026/10/28
Re: [PR] test(spark): add Spark Connect SDP integration harness and CI coverage [hudi]
via GitHub
2026/10/28
Re: [PR] fix(spark): reject order-breaking casts and negative factors in data ... [hudi]
via GitHub
2026/10/28
Re: [PR] fix(upgrade): skip legacy archived instants without a completed state during LSM timeline upgrade [hudi]
via GitHub
2026/10/28
Re: [PR] docs(rfc): claim RFC-116 for branch and tag support [hudi]
via GitHub
2026/10/28
Re: [PR] docs(rfc): claim RFC-116 for branch and tag support [hudi]
via GitHub
2026/10/28
Re: [PR] feat(gateway): schema hints -- live schema context for the model [hudi]
via GitHub
2026/10/28
[PR] fix(core): treat missing column-stat bounds as unknown when merging [hudi-rs]
via GitHub
2026/10/28
[PR] docs(rfc): claim RFC-116 for branch and tag support [hudi]
via GitHub
2026/10/27
Re: [PR] build(deps): zip 8 → 9.0.3 [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(spark)!: forward session settings to streaming sinks [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): add support for in and not in file pruning [hudi-rs]
via GitHub
2026/10/27
Re: [I] [Support] COW scan shows repeated UnsafeProjection in Hudi and Spark row paths [hudi]
via GitHub
2026/10/27
[PR] docs(spark): explain streaming session option compatibility [hudi]
via GitHub
2026/10/27
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/27
[PR] test(spark): add Spark Connect SDP integration harness and CI coverage [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): support variant reads via arrow-rs [hudi-rs]
via GitHub
2026/10/27
Re: [I] hudi-trino SPI drift detected against Trino 484-SNAPSHOT [hudi]
via GitHub
2026/10/27
Re: [PR] feat(dsv2): [RFC-98] DSv2 read for COW [hudi]
via GitHub
2026/10/27
Re: [PR] fix(spark): fail streaming queries instead of exiting the JVM [hudi]
via GitHub
2026/10/27
Re: [PR] feat(dev): add contributor development skills for coding agents [hudi]
via GitHub
2026/10/27
Re: [PR] build(ffi): forward the spill-rocksdb feature through hudi-jvm-ffi [hudi-rs]
via GitHub
2026/10/27
[I] Consolidate the native bindings around one C ABI [hudi-rs]
via GitHub
2026/10/27
[PR] fix(spark): fail streaming queries instead of exiting the JVM [hudi]
via GitHub
2026/10/27
Re: [PR] fix(spark): skip partition stats pruning for time travel queries [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): add support for in and not in file pruning [hudi-rs]
via GitHub
2026/10/27
Re: [PR] refactor(ffi): rename hudi-jvm-ffi to hudi-ffi [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): add append_only writes for append-only tables [hudi-rs]
via GitHub
2026/10/27
[PR] fix(spark): skip partition stats pruning for historical snapshots [hudi]
via GitHub
2026/10/27
Re: [I] [Support] COW scan shows repeated UnsafeProjection in Hudi and Spark row paths [hudi]
via GitHub
2026/10/27
Re: [I] [Support] COW scan shows repeated UnsafeProjection in Hudi and Spark row paths [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): support variant reads via arrow-rs [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix: replace Windows backslashes with forward slashes in paths [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(spark): support saveAsTable append to existing Hudi tables [hudi]
via GitHub
2026/10/27
(hudi-rs) branch main updated: feat(core): add append_only writes for append-only tables (#588)
yihua
2026/10/27
Re: [PR] feat(agent): add Flink catalog and metastore composition to Hudi Architect [hudi]
via GitHub
2026/10/27
(hudi-rs) branch main updated: docs(python): add doctests to builder and config APIs, enable --doctest-modules (#623)
yihua
2026/10/27
(hudi-rs) branch main updated: feat(core): add support for in and not in file pruning (#800)
yihua
2026/10/27
Re: [PR] test(schema): Add lance fileformat test for custom types on MOR [hudi]
via GitHub
2026/10/27
Re: [PR] fix(core): Prune Partition-Directory descent by filters during storage listing [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(core): add support for in and not in file pruning [hudi-rs]
via GitHub
2026/10/27
Re: [I] Add bulk insert write support for append-only tables [hudi-rs]
via GitHub
2026/10/27
[I] File-level column stats ignore row groups without min/max, so files with matching rows get pruned [hudi-rs]
via GitHub
2026/10/27
(hudi) branch dependabot/maven/hudi-agent-gateway/fixtures/hudi-architect-flink-1.20/org.apache.hive-hive-exec-4.0.1 created (now a55e38e63a9a)
github-bot
2026/10/27
[PR] chore(deps-dev): bump org.apache.hive:hive-exec from 2.3.10 to 4.0.1 in /hudi-agent-gateway/fixtures/hudi-architect-flink-1.20 [hudi]
via GitHub
2026/10/27
Re: [I] Setup doc testing for Python APIs [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(gateway): add Spark Connect SQL backend [hudi]
via GitHub
2026/10/27
Re: [PR] Adding hudi-cli-mcp to assist AI assistants to help and manage hudi tables [hudi]
via GitHub
2026/10/27
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/27
Re: [PR] feat(lakehouse): add a Helm-deployable Spark Connect endpoint [hudi]
via GitHub
2026/10/27
Re: [I] Spark data skipping drops matching rows after adding columns to the column stats index [hudi]
via GitHub
2026/10/27
[I] Track Spark data skipping correctness issues [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): add append_only writes for append-only tables [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat: Add ClusteringGroupWriter SPI for pluggable clustering writes [hudi]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] docs(python): add doctests to builder and config APIs, enable --doctest-modules [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(core): support variant reads via arrow-rs [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(spark): support saveAsTable append to existing Hudi tables [hudi]
via GitHub
2026/10/27
Re: [PR] test(schema): Add lance fileformat test for custom types on MOR [hudi]
via GitHub
2026/10/27
Re: [PR] fix(spark): runtime-merge full file groups for MOR incremental queries (#18943) [hudi]
via GitHub
2026/10/27
Re: [PR] type:devtask auto-infer DefaultSparkRecordMerger for Lance base file f… [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): native table write support with spark storage parity [hudi-rs]
via GitHub
2026/10/27
Re: [PR] docs(python): add doctests to builder and config APIs, enable --doctest-modules [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(cpp): forward read options through file slice reads [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(lakehouse): add a Helm-deployable Spark Connect endpoint [hudi]
via GitHub
2026/10/27
Re: [PR] feat(gateway): add Spark Connect SQL backend [hudi]
via GitHub
2026/10/27
Re: [PR] build(deps): upgrade lance to 13 [hudi-rs]
via GitHub
2026/10/27
(hudi-rs) branch main updated: build(deps): upgrade lance to 13 (#845)
yihua
2026/10/27
Re: [PR] feat(core): read any metadata table partition as Arrow [hudi-rs]
via GitHub
2026/10/27
(hudi-rs) branch main updated: feat(core): read any metadata table partition as Arrow (#819)
yihua
2026/10/27
Re: [PR] build(deps): zip 8 → 9.0.3 [hudi-rs]
via GitHub
2026/10/27
Re: [PR] [HUDI-18139] fix(spark): make post-sync Spark catalog cache refresh best-effort [hudi]
via GitHub
2026/10/27
[PR] Fix/pr666 review fixes [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(spark): keep streaming queries running when a write client swap fails an async table service run [hudi]
via GitHub
2026/10/27
Re: [PR] type:devtask auto-infer DefaultSparkRecordMerger for Lance base file f… [hudi]
via GitHub
2026/10/27
Re: [PR] type:story Add Parquet DESCRIPTOR mode for blob inline reading [hudi]
via GitHub
2026/10/27
[I] Add the first set of contributor development skills under .claude/skills [hudi]
via GitHub
2026/10/27
Re: [PR] [HUDI-18139] fix(spark): make post-sync Spark catalog cache refresh best-effort [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): read any metadata table partition as Arrow [hudi-rs]
via GitHub
2026/10/27
[PR] build(deps): zip 8 → 9.0.3 [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(spark): keep streaming queries running when a write client swap fails an async table service run [hudi]
via GitHub
2026/10/27
Re: [PR] feat(dev): add contributor development skills for coding agents [hudi]
via GitHub
2026/10/27
[PR] feat(dev): add contributor development skills for coding agents [hudi]
via GitHub
2026/10/27
Re: [PR] type:story Add Parquet DESCRIPTOR mode for blob inline reading [hudi]
via GitHub
2026/10/27
[I] Contributor development skills for coding agents [hudi]
via GitHub
2026/10/27
Re: [PR] test(spark): repro for reconcile.schema=true blocking documented type promotion [hudi]
via GitHub
2026/10/27
[PR] build(ffi): forward the spill-rocksdb feature through hudi-jvm-ffi [hudi-rs]
via GitHub
2026/10/27
[PR] refactor(ffi): rename hudi-jvm-ffi to hudi-ffi [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(ffi): plan reads with filters and stream file slices through the C ABI [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(spark): retry streaming sink async table service runs failed by a write client swap [hudi]
via GitHub
2026/10/27
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/27
Re: [PR] Adding hudi-cli-mcp to assist AI assistants to help and manage hudi tables [hudi]
via GitHub
2026/10/27
Re: [PR] feat(core): native table write support with spark storage parity [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(core): native table write support with spark storage parity [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(client): restore non-blocking write client switch for async table services [hudi]
via GitHub
2026/10/27
[PR] fix(spark): retry streaming sink async table service runs failed by a write client swap [hudi]
via GitHub
2026/10/27
Re: [PR] fix(ingest): safely replace clients and report async table service failures [hudi]
via GitHub
2026/10/27
(hudi) branch master updated: feat(utilities): add fail-fast continuous mode for HoodieMultiTableStreamer (#19811)
yihua
2026/10/27
Re: [I] Fix HoodieMultiTableDeltaStreamer to write all tables in continuous mode [hudi]
via GitHub
2026/10/27
Re: [PR] feat(utilities): add fail-fast continuous mode for HoodieMultiTableStreamer [hudi]
via GitHub
2026/10/27
[I] [Spark] Time travel queries can return incorrect results when partition stats pruning is enabled [hudi]
via GitHub
2026/10/27
[PR] fix(client): do not block the writer on a running async table service when switching write clients [hudi]
via GitHub
2026/10/27
Re: [PR] feat: Add ClusteringGroupWriter SPI for pluggable clustering writes [hudi]
via GitHub
2026/10/27
Re: [PR] feat(cpp): forward read options through file slice reads [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(core): support variant reads via arrow-rs [hudi-rs]
via GitHub
2026/10/27
(hudi-rs) branch main updated: fix(cpp): catch panics at the FFI boundary so they surface as errors (#766)
yihua
2026/10/27
Re: [I] cpp: guard FFI entry points with catch_unwind so panics don't abort the host process [hudi-rs]
via GitHub
2026/10/27
Re: [PR] fix(cpp): catch panics at the FFI boundary so they surface as errors [hudi-rs]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] feat(gateway): add Spark Connect SQL backend [hudi]
via GitHub
2026/10/27
Re: [I] [Support] COW scan shows repeated UnsafeProjection in Hudi and Spark row paths [hudi]
via GitHub
2026/10/27
Re: [PR] feat(lakehouse): add a Helm-deployable Spark Connect endpoint [hudi]
via GitHub
2026/10/27
(hudi) branch master updated: fix(spark): read shredded variant leaves like Spark 4 (#20332)
vhs
2026/10/27
Re: [PR] fix(spark): read shredded variant leaves like Spark 4 [hudi]
via GitHub
2026/10/27
Re: [I] Spark 4 variant shredding: FIXED typed_value broken on both write and read paths [hudi]
via GitHub
2026/10/27
Re: [PR] feat(lakehouse): add a Helm-deployable Spark Connect endpoint [hudi]
via GitHub
2026/10/27
Re: [PR] fix(spark): read shredded variant leaves like Spark 4 [hudi]
via GitHub
2026/10/27
Re: [PR] Adding hudi-cli-mcp to assist AI assistants to help and manage hudi tables [hudi]
via GitHub
2026/10/27
Re: [I] Spark data skipping drops matching rows after adding columns to the column stats index [hudi]
via GitHub
2026/10/27
Re: [PR] feat(lakehouse): add a Helm-deployable Spark Connect endpoint [hudi]
via GitHub
2026/10/27
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/27
Re: [PR] fix(spark): runtime-merge full file groups for MOR incremental queries (#18943) [hudi]
via GitHub
2026/10/27
Re: [PR] feat(gateway): add Spark Connect SQL backend [hudi]
via GitHub
2026/10/27
Re: [PR] feat(gateway): add Spark Connect SQL backend [hudi]
via GitHub
2026/10/27
Re: [PR] feat(hive-sync): batch and parallelize HMS partition operations [hudi]
via GitHub
2026/10/27
[I] Variant parquet layout: vanilla Spark vs Hudi vs Iceberg, unshredded and shredded [hudi]
via GitHub
2026/10/27
Re: [PR] feat(agent): add Flink catalog and metastore composition to Hudi Architect [hudi]
via GitHub
2026/10/27
Re: [PR] feat(agent): add Flink catalog and metastore composition to Hudi Architect [hudi]
via GitHub
2026/10/27
Re: [PR] feat(lakehouse): add a Helm-deployable Spark Connect endpoint [hudi]
via GitHub
2026/10/27
Re: [PR] feat(agent): add Flink catalog and metastore composition to Hudi Architect [hudi]
via GitHub
2026/10/27
Re: [PR] feat(agent): add Flink catalog and metastore composition to Hudi Architect [hudi]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] feat(spark): halt the executor when its storage connection pool is shut down [hudi]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] feat(index): refactor RFC-109 vector bootstrap and Spark search [hudi]
via GitHub
2026/10/27
Re: [PR] fix(spark): create Hudi tables via the DSv2 Column API and accept unchanged properties in HoodieCatalog [hudi]
via GitHub
2026/10/27
Re: [PR] fix: Fix col-stats corruption from NaN values and stats-truncation [hudi]
via GitHub
Earlier messages
Later messages